Skip to main content
POST
Dry Run OAS.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Query Parameters

templateID
string

The Asset ID of template applied while creating or importing an OAS API.

base_api_id
string

The base API which the new version will be linked to.

base_api_version_name
string

The version name of the base API while creating the first version. This doesn't have to be sent for the next versions but if it is set, it will override base API version name.

new_version_name
string

The version name of the created version.

set_default
boolean

If true, the new version is set as default version.

upstreamURL
string

Upstream URL for the API.

listenPath
string

Listen path for the API.

customDomain
string

Custom domain for the API.

allowList
boolean

Enable allowList middleware for all endpoints.

Example:

true

validateRequest
boolean

Enable validateRequest middleware for all endpoints having a request body with media type application/json.

Example:

true

mockResponse
boolean

Enable mockResponse middleware for all endpoints having responses configured.

Example:

true

authentication
boolean

Enable/disable the authentication mechanism in your Tyk Gateway for your OAS API.

Example:

true

Body

application/json
oas
object

The description of OpenAPI v3.0.x documents, as defined by https://spec.openapis.org/oas/v3.0.3

tyk_oas
object

The description of OpenAPI v3.0.x documents, as defined by https://spec.openapis.org/oas/v3.0.3

Response

Success.

The description of OpenAPI v3.0.x documents, as defined by https://spec.openapis.org/oas/v3.0.3

openapi
string
required
Pattern: ^3\.0\.\d(-.+)?$
info
object
required
paths
object
required
x-tyk-api-gateway
object
externalDocs
object
servers
object[]
security
object[]
tags
object[]
components
object